gdlmm: Gdl::DockPlaceholder Class Reference

gdlmm 3.7.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gdl::DockPlaceholder Class Reference
Inheritance diagram for Gdl::DockPlaceholder:
[legend]
Collaboration diagram for Gdl::DockPlaceholder:
[legend]

## Public Member Functions
virtual | ~DockPlaceholder ()
GdlDockPlaceholder* | gobj ()
| Provides access to the underlying C GtkObject.
const GdlDockPlaceholder* | gobj () const
| Provides access to the underlying C GtkObject.
| DockPlaceholder (const Glib::ustring name, const DockObject& object, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE), bool sticky=true)
void | attach (DockObject& object)
Glib::PropertyProxy_ReadOnly < bool > | property_floating () const
| Whether the placeholder is standing in for a floating toplevel dock.
Glib::PropertyProxy_ReadOnly< int > | property_floatx () const
| X coordinate for dock when floating.
Glib::PropertyProxy_ReadOnly< int > | property_floaty () const
| Y coordinate for dock when floating.
Glib::PropertyProxy< int > | property_height ()
| Height for the widget when it's attached to the placeholder.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| Height for the widget when it's attached to the placeholder.
Glib::PropertyProxy< int > | property_width ()
| Width for the widget when it's attached to the placeholder.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| Width for the widget when it's attached to the placeholder.
Glib::PropertyProxy< DockObject* > | property_host ()
| The dock object this placeholder is attached to.
Glib::PropertyProxy_ReadOnly < DockObject* > | property_host () const
| The dock object this placeholder is attached to.
Glib::PropertyProxy < DockPlacement > | property_next_placement ()
| The position an item will be docked to our host if a request is made to dock to us.
Glib::PropertyProxy_ReadOnly < DockPlacement > | property_next_placement () const
| The position an item will be docked to our host if a request is made to dock to us.
Glib::PropertyProxy_ReadOnly < bool > | property_sticky () const
| Whether the placeholder will stick to its host or move up the hierarchy when the host is redocked.
Public Member Functions inherited from Gdl::DockObject
virtual | ~DockObject ()
bool | is_compound () const
void | detach (bool recursive=true)
DockObject* | get_parent_object () const
void | freeze ()
void | thaw ()
void | reduce ()
template<class OtherType >
void | dock (DockObject& requestor, const OtherType& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | dock (DockObject& requestor, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
void | bind (const Glib::RefPtr< DockMaster >& master)
void | unbind ()
bool | is_bound () const
template<class OtherType >
bool | reorder (DockObject& child, const OtherType& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))
void | present (DockObject& child)
bool | child_placement (DockObject& child, DockPlacement placement=static_cast< DockPlacement >(DOCK_NONE))
bool | is_automatic ()
void | set_manual ()
Glib::RefPtr< DockMaster > | get_master ()
Glib::PropertyProxy < Glib::ustring > | property_long_name ()
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_long_name () const
| Human readable name for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| Unique name for identifying the dock object.
Glib::PropertyProxy < Glib::RefPtr< DockMaster > > | property_master ()
| Dock master this dock object is bound to.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< DockMaster > > | property_master () const
| Dock master this dock object is bound to.
Glib::PropertyProxy < Glib::ustring > | property_stock_id ()
| Stock icon for the dock object.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_stock_id () const
| Stock icon for the dock object.
Glib::SignalProxy1< void, bool > | signal_detach ()
Glib::SignalProxy3< void, DockObject&, DockPlacement, const Glib::ValueBase* > | signal_dock ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Functions
(Note that these are not member functions.)
Gdl::DockPlaceholder* | wrap (GdlDockPlaceholder* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gdl::DockObject
Gdl::DockObject* | wrap (GdlDockObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Protected Member Functions inherited from Gdl::DockObject
| DockObject ()
void | dock (DockObject& requestor, const Glib::ValueBase& other_data, DockPlacement position=static_cast< DockPlacement >(DOCK_NONE))
bool | reorder (DockObject& child, const Glib::ValueBase& other_data, DockPlacement new_position=static_cast< DockPlacement >(DOCK_NONE))

## Constructor & Destructor Documentation

virtual Gdl::DockPlaceholder::~DockPlaceholder | ( |  | ) |
| virtual

Gdl::DockPlaceholder::DockPlaceholder | ( | const Glib::ustring | name,
|  | const DockObject& | object,
|  | DockPlacement | position = `static_cast< DockPlacement >(DOCK_NONE)`,
|  | bool | sticky = `true`
| ) |  |
| explicit

## Member Function Documentation

void Gdl::DockPlaceholder::attach | ( | DockObject& | object | ) |

static GType Gdl::DockPlaceholder::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gdl::DockObject.

GdlDockPlaceholder* Gdl::DockPlaceholder::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

const GdlDockPlaceholder* Gdl::DockPlaceholder::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gdl::DockObject.

Glib::PropertyProxy_ReadOnly< bool > Gdl::DockPlaceholder::property_floating | ( |  | ) | const

Whether the placeholder is standing in for a floating toplevel dock.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::DockPlaceholder::property_floatx | ( |  | ) | const

X coordinate for dock when floating.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::DockPlaceholder::property_floaty | ( |  | ) | const

Y coordinate for dock when floating.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::DockPlaceholder::property_height | ( |  | ) |

Height for the widget when it's attached to the placeholder.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::DockPlaceholder::property_height | ( |  | ) | const

Height for the widget when it's attached to the placeholder.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< DockObject* > Gdl::DockPlaceholder::property_host | ( |  | ) |

The dock object this placeholder is attached to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< DockObject* > Gdl::DockPlaceholder::property_host | ( |  | ) | const

The dock object this placeholder is attached to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< DockPlacement > Gdl::DockPlaceholder::property_next_placement | ( |  | ) |

The position an item will be docked to our host if a request is made to dock to us.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< DockPlacement > Gdl::DockPlaceholder::property_next_placement | ( |  | ) | const

The position an item will be docked to our host if a request is made to dock to us.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gdl::DockPlaceholder::property_sticky | ( |  | ) | const

Whether the placeholder will stick to its host or move up the hierarchy when the host is redocked.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gdl::DockPlaceholder::property_width | ( |  | ) |

Width for the widget when it's attached to the placeholder.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gdl::DockPlaceholder::property_width | ( |  | ) | const

Width for the widget when it's attached to the placeholder.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gdl::DockPlaceholder* wrap | ( | GdlDockPlaceholder * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdlmm/dockplaceholder.h